({
    name: "Soareonite",
    spritenum: 666,
    megaStone: {
        "Soareon": "Soareon-Mega"
    },
    itemUser: ["Soareon"],
    onTakeItem(item, source) {
        return !item.megaStone?.[source.baseSpecies.baseSpecies];
    },
    num: -999,
    gen: 6,
    isNonstandard: "Past",
})